Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 297214

Summary: www-plugins/weave-1.1 version bump
Product: Gentoo Linux Reporter: Marcello Magaldi <magowiz>
Component: Current packagesAssignee: Mounir Lamouri (volkmar) (RETIRED) <volkmar>
Status: RESOLVED FIXED    
Severity: enhancement CC: bugs.gentoo.org, devurandom, fcool, gentoo, lordcris, mozilla, peter.saaf
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://mozillalabs.com/weave/
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: Weave-1.0.1-ebuild
modified PKG-Config-Patch
New Weave-Build
modified PKG-Config-Patch
Weave-1.1-ebuiild

Description Marcello Magaldi 2009-12-16 19:53:01 UTC
According to http://mozillalabs.com/weave/ 1.0b3 was released on 11 december, in portage latest version is 1.0b2

Reproducible: Always
Comment 1 Marcello Magaldi 2009-12-27 13:06:55 UTC
Since 22 december 1.0rc was released so I changed the title to request bump for 1.0_rc directly
Comment 2 Andreas Mielke 2010-01-27 15:51:18 UTC
Mozilla-Weave rc4 is out
Comment 3 Dennis Schridde 2010-02-04 20:53:37 UTC
1.0 final has been released already.
Comment 4 lordcris 2010-02-19 23:14:55 UTC
hi,
weave 1.0.1 is out.
can you post the ebuild because it is the only way to install it on a non-x86 architecture.
thank you
Comment 5 Ferdinand Kuhl 2010-02-22 11:01:26 UTC
Created attachment 220683 [details]
Weave-1.0.1-ebuild

This is an ebuild which works for me. It is an slightly modified version of the in tree ebuild. I think it will work only for xulrunner 1.9.2 (firefox 3.6) and i modified the DEPEND according to that.
Comment 6 Ferdinand Kuhl 2010-02-22 11:02:42 UTC
Created attachment 220685 [details]
modified PKG-Config-Patch 

To use my weave-1.0.1-ebuild you'll need this modified pkgconfig patch as the old patch does not use the right pkg-names.
Comment 7 Marcello Magaldi 2010-02-22 11:08:52 UTC
(In reply to comment #5)
> Created an attachment (id=220683) [details]
> Weave-1.0.1-ebuild
> 
> This is an ebuild which works for me. It is an slightly modified version of the
> in tree ebuild. I think it will work only for xulrunner 1.9.2 (firefox 3.6) and
> i modified the DEPEND according to that.
> 

Why are you saying this ? Here on my system I have 1.0.1 with firefox 3.5.6... 
Do you think that there is no way to make 1.0.1 compile with xulrunner 1.9.1 ?
Comment 8 lordcris 2010-02-22 12:09:57 UTC
Hello,
i get this error on my system

>>> Emerging (1 of 1) www-plugins/weave-1.0.1 from local
 * weave-1.0.1.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                   [ ok ]
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
 * CPV:  www-plugins/weave-1.0.1
 * REPO: local
 * USE:  elibc_glibc kernel_linux ppc userland_GNU
>>> Unpacking source...
>>> Unpacking weave-1.0.1.tar.bz2 to /var/tmp/portage/www-plugins/weave-1.0.1/work
>>> Source unpacked in /var/tmp/portage/www-plugins/weave-1.0.1/work
>>> Preparing source in /var/tmp/portage/www-plugins/weave-1.0.1/work/weave-1.0.1 ...
 * Applying weave-1.0.1-pkgconfig.patch ...                               [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/www-plugins/weave-1.0.1/work/weave-1.0.1 ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/www-plugins/weave-1.0.1/work/weave-1.0.1 ...
make -j8 -j1 rebuild_crypto=1 build 
mkdir -p dist
mkdir -p dist/stage
mkdir -p dist/xpi
make -C crypto rebuild_all
Using Mozilla SDKDIR as: /usr/lib/xulrunner-devel-1.9.2
make[1]: Entering directory `/var/tmp/portage/www-plugins/weave-1.0.1/work/weave-1.0.1/crypto'
make -C src install
Using Mozilla SDKDIR as: /usr/lib/xulrunner-devel-1.9.2
Package xulrunner-nss was not found in the pkg-config search path.
Perhaps you should add the directory containing `xulrunner-nss.pc'
to the PKG_CONFIG_PATH environment variable
No package 'xulrunner-nss' found
Package xulrunner-nspr was not found in the pkg-config search path.
Perhaps you should add the directory containing `xulrunner-nspr.pc'
to the PKG_CONFIG_PATH environment variable
No package 'xulrunner-nspr' found
Package xulrunner-nss was not found in the pkg-config search path.
Perhaps you should add the directory containing `xulrunner-nss.pc'
to the PKG_CONFIG_PATH environment variable
No package 'xulrunner-nss' found
Package xulrunner-nspr was not found in the pkg-config search path.
Perhaps you should add the directory containing `xulrunner-nspr.pc'
to the PKG_CONFIG_PATH environment variable
No package 'xulrunner-nspr' found
make[2]: Entering directory `/var/tmp/portage/www-plugins/weave-1.0.1/work/weave-1.0.1/crypto/src'
perl -pe 's/@([^@]+)@/defined $ENV{$1} ? $ENV{$1} : $&/ge' WeaveCrypto.rc.in > WeaveCrypto.rc
/usr/lib/xulrunner-devel-1.9.2/bin/xpidl -m header -I/usr/share/idl/xulrunner-1.9.2 IWeaveCrypto.idl
Package xulrunner-nss was not found in the pkg-config search path.
Perhaps you should add the directory containing `xulrunner-nss.pc'
to the PKG_CONFIG_PATH environment variable
No package 'xulrunner-nss' found
Package xulrunner-nspr was not found in the pkg-config search path.
Perhaps you should add the directory containing `xulrunner-nspr.pc'
to the PKG_CONFIG_PATH environment variable
No package 'xulrunner-nspr' found
c++ -shared -pipe -Os -fPIC -fno-rtti -fno-exceptions -fno-strict-aliasing -fno-common -pthread -Wall -Wconversion -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align -Wno-long-long -include xpcom-config.h   -I/usr/include/xulrunner-1.9.2 -I/usr/include/nspr   -fshort-wchar -o WeaveCrypto.so WeaveCrypto.cpp WeaveCryptoModule.cpp -pthread -pipe -DMOZILLA_STRICT_API -Wl,-dead_strip -Wl,-exported_symbol -Wl,-z,defs -Wl,-h,WeaveCrypto.so -Wl,-rpath-link,/usr/lib/xulrunner-devel-1.9.2/bin /usr/lib/xulrunner-devel-1.9.2/lib/libxpcomglue_s.a -L/usr/lib/xulrunner-devel-1.9.2/lib -L/usr/lib/nspr -lxpcomglue_s -lxul -lxpcom -lplds4 -lplc4 -lnspr4 -lpthread -ldl
In file included from WeaveCrypto.cpp:41:
WeaveCrypto.h:44:21: error: pk11pub.h: No such file or directory
WeaveCrypto.cpp:47:20: error: secerr.h: No such file or directory
WeaveCrypto.cpp:49:22: error: pk11func.h: No such file or directory
WeaveCrypto.cpp:50:19: error: keyhi.h: No such file or directory
In file included from WeaveCrypto.cpp:41:
WeaveCrypto.h:62: error: ‘SECOidTag’ does not name a type
WeaveCrypto.h:74: error: ‘CK_ATTRIBUTE_TYPE’ has not been declared
WeaveCrypto.h:79: error: ‘PK11SymKey’ has not been declared
WeaveCrypto.h:81: error: ‘SECKEYPrivateKey’ has not been declared
WeaveCrypto.h:86: error: ‘SECKEYPublicKey’ has not been declared
WeaveCrypto.cpp: In constructor ‘WeaveCrypto::WeaveCrypto()’:
WeaveCrypto.cpp:63: error: class ‘WeaveCrypto’ does not have any field named ‘mAlgorithm’
WeaveCrypto.cpp:63: error: ‘SEC_OID_AES_256_CBC’ was not declared in this scope
WeaveCrypto.cpp: In member function ‘virtual nsresult WeaveCrypto::GetAlgorithm(PRUint32*)’:
WeaveCrypto.cpp:166: error: ‘mAlgorithm’ was not declared in this scope
WeaveCrypto.cpp: In member function ‘virtual nsresult WeaveCrypto::SetAlgorithm(PRUint32)’:
WeaveCrypto.cpp:173: error: ‘mAlgorithm’ was not declared in this scope
WeaveCrypto.cpp:173: error: ‘SECOidTag’ was not declared in this scope
WeaveCrypto.cpp:173: error: expected `;' before ‘aAlgorithm’
WeaveCrypto.cpp: In member function ‘virtual nsresult WeaveCrypto::Encrypt(const nsACString&, const nsACString&, const nsACString&, nsACString&)’:
WeaveCrypto.cpp:204: error: ‘CK_MECHANISM_TYPE’ was not declared in this scope
WeaveCrypto.cpp:204: error: expected `;' before ‘mech’
WeaveCrypto.cpp:205: error: ‘mech’ was not declared in this scope
WeaveCrypto.cpp:205: error: ‘PK11_GetBlockSize’ was not declared in this scope
WeaveCrypto.cpp:216: error: ‘CKA_ENCRYPT’ was not declared in this scope
WeaveCrypto.cpp: In member function ‘virtual nsresult WeaveCrypto::Decrypt(const nsACString&, const nsACString&, const nsACString&, nsACString&)’:
WeaveCrypto.cpp:254: error: ‘CKA_DECRYPT’ was not declared in this scope
WeaveCrypto.cpp: At global scope:
WeaveCrypto.cpp:275: error: ‘CK_ATTRIBUTE_TYPE’ has not been declared
WeaveCrypto.cpp: In member function ‘nsresult WeaveCrypto::CommonCrypt(const char*, PRUint32, char*, PRUint32*, const nsACString&, const nsACString&, int)’:
WeaveCrypto.cpp:278: error: ‘PK11SymKey’ was not declared in this scope
WeaveCrypto.cpp:278: error: ‘symKey’ was not declared in this scope
WeaveCrypto.cpp:279: error: ‘PK11Context’ was not declared in this scope
WeaveCrypto.cpp:279: error: ‘ctx’ was not declared in this scope
WeaveCrypto.cpp:280: error: ‘PK11SlotInfo’ was not declared in this scope
WeaveCrypto.cpp:280: error: ‘slot’ was not declared in this scope
WeaveCrypto.cpp:281: error: ‘SECItem’ was not declared in this scope
WeaveCrypto.cpp:281: error: ‘ivParam’ was not declared in this scope
WeaveCrypto.cpp:294: error: expected `;' before ‘keyItem’
WeaveCrypto.cpp:295: error: expected `;' before ‘ivItem’
WeaveCrypto.cpp:299: error: ‘CK_MECHANISM_TYPE’ was not declared in this scope
WeaveCrypto.cpp:299: error: expected `;' before ‘mechanism’
WeaveCrypto.cpp:300: error: ‘mechanism’ was not declared in this scope
WeaveCrypto.cpp:300: error: ‘PK11_GetPadMechanism’ was not declared in this scope
WeaveCrypto.cpp:301: error: ‘CKM_INVALID_MECHANISM’ was not declared in this scope
WeaveCrypto.cpp:307: error: ‘ivItem’ was not declared in this scope
WeaveCrypto.cpp:307: error: ‘PK11_ParamFromIV’ was not declared in this scope
WeaveCrypto.cpp:314: error: ‘PK11_GetInternalKeySlot’ was not declared in this scope
WeaveCrypto.cpp:321: error: ‘PK11_OriginUnwrap’ was not declared in this scope
WeaveCrypto.cpp:321: error: ‘keyItem’ was not declared in this scope
WeaveCrypto.cpp:321: error: ‘PK11_ImportSymKey’ was not declared in this scope
WeaveCrypto.cpp:328: error: ‘PK11_CreateContextBySymKey’ was not declared in this scope
WeaveCrypto.cpp:339: error: ‘PK11_CipherOp’ was not declared in this scope
WeaveCrypto.cpp:354: error: ‘PK11_DigestFinal’ was not declared in this scope
WeaveCrypto.cpp:365: error: ‘PK11_DestroyContext’ was not declared in this scope
WeaveCrypto.cpp:367: error: ‘PK11_FreeSymKey’ was not declared in this scope
WeaveCrypto.cpp:369: error: ‘PK11_FreeSlot’ was not declared in this scope
WeaveCrypto.cpp:371: error: ‘SECITEM_FreeItem’ was not declared in this scope
WeaveCrypto.cpp: In member function ‘virtual nsresult WeaveCrypto::GenerateKeypair(const nsACString&, const nsACString&, const nsACString&, nsACString&, nsACString&)’:
WeaveCrypto.cpp:394: error: ‘SECStatus’ was not declared in this scope
WeaveCrypto.cpp:394: error: expected `;' before ‘s’
WeaveCrypto.cpp:395: error: ‘SECKEYPrivateKey’ was not declared in this scope
WeaveCrypto.cpp:395: error: ‘privKey’ was not declared in this scope
WeaveCrypto.cpp:396: error: ‘SECKEYPublicKey’ was not declared in this scope
WeaveCrypto.cpp:396: error: ‘pubKey’ was not declared in this scope
WeaveCrypto.cpp:397: error: ‘PK11SlotInfo’ was not declared in this scope
WeaveCrypto.cpp:397: error: ‘slot’ was not declared in this scope
WeaveCrypto.cpp:398: error: ‘PK11RSAGenParams’ was not declared in this scope
WeaveCrypto.cpp:398: error: expected `;' before ‘rsaParams’
WeaveCrypto.cpp:402: error: ‘PK11AttrFlags’ was not declared in this scope
WeaveCrypto.cpp:402: error: expected `;' before ‘attrFlags’
WeaveCrypto.cpp:407: error: ‘rsaParams’ was not declared in this scope
WeaveCrypto.cpp:410: error: ‘PK11_GetInternalKeySlot’ was not declared in this scope
WeaveCrypto.cpp:419: error: ‘CKM_RSA_PKCS_KEY_PAIR_GEN’ was not declared in this scope
WeaveCrypto.cpp:421: error: ‘attrFlags’ was not declared in this scope
WeaveCrypto.cpp:421: error: ‘PK11_GenerateKeyPairWithFlags’ was not declared in this scope
WeaveCrypto.cpp:429: error: ‘s’ was not declared in this scope
WeaveCrypto.cpp:429: error: ‘PK11_SetPrivateKeyNickname’ was not declared in this scope
WeaveCrypto.cpp:430: error: ‘SECSuccess’ was not declared in this scope
WeaveCrypto.cpp:454: error: ‘SECKEY_DestroyPublicKey’ was not declared in this scope
WeaveCrypto.cpp:456: error: ‘SECKEY_DestroyPrivateKey’ was not declared in this scope
WeaveCrypto.cpp:458: error: ‘PK11_FreeSlot’ was not declared in this scope
WeaveCrypto.cpp: At global scope:
WeaveCrypto.cpp:472: error: ‘PK11SymKey’ has not been declared
WeaveCrypto.cpp: In member function ‘nsresult WeaveCrypto::DeriveKeyFromPassphrase(const nsACString&, const nsACString&, int**)’:
WeaveCrypto.cpp:477: error: ‘SECItem’ was not declared in this scope
WeaveCrypto.cpp:477: error: expected `;' before ‘passphrase’
WeaveCrypto.cpp:483: error: expected `;' before ‘salt’
WeaveCrypto.cpp:488: error: ‘SECOidTag’ was not declared in this scope
WeaveCrypto.cpp:488: error: expected `;' before ‘pbeAlg’
WeaveCrypto.cpp:489: error: expected `;' before ‘cipherAlg’
WeaveCrypto.cpp:490: error: expected `;' before ‘prfAlg’
WeaveCrypto.cpp:495: error: ‘SECAlgorithmID’ was not declared in this scope
WeaveCrypto.cpp:495: error: ‘algid’ was not declared in this scope
WeaveCrypto.cpp:495: error: ‘pbeAlg’ was not declared in this scope
WeaveCrypto.cpp:495: error: ‘cipherAlg’ was not declared in this scope
WeaveCrypto.cpp:495: error: ‘prfAlg’ was not declared in this scope
WeaveCrypto.cpp:496: error: ‘salt’ was not declared in this scope
WeaveCrypto.cpp:496: error: ‘PK11_CreatePBEV2AlgorithmID’ was not declared in this scope
WeaveCrypto.cpp:500: error: ‘PK11SlotInfo’ was not declared in this scope
WeaveCrypto.cpp:500: error: ‘slot’ was not declared in this scope
WeaveCrypto.cpp:500: error: ‘PK11_GetInternalSlot’ was not declared in this scope
WeaveCrypto.cpp:504: error: ‘passphrase’ was not declared in this scope
WeaveCrypto.cpp:504: error: ‘PK11_PBEKeyGen’ was not declared in this scope
WeaveCrypto.cpp:506: error: ‘SECOID_DestroyAlgorithmID’ was not declared in this scope
WeaveCrypto.cpp:507: error: ‘PK11_FreeSlot’ was not declared in this scope
WeaveCrypto.cpp: At global scope:
WeaveCrypto.cpp:527: error: ‘nsresult WeaveCrypto::WrapPrivateKey’ is not a static member of ‘class WeaveCrypto’
WeaveCrypto.cpp:527: error: ‘SECKEYPrivateKey’ was not declared in this scope
WeaveCrypto.cpp:527: error: ‘aPrivateKey’ was not declared in this scope
WeaveCrypto.cpp:528: error: expected primary-expression before ‘const’
WeaveCrypto.cpp:529: error: expected primary-expression before ‘const’
WeaveCrypto.cpp:530: error: expected primary-expression before ‘const’
WeaveCrypto.cpp:531: error: expected primary-expression before ‘&’ token
WeaveCrypto.cpp:531: error: ‘aWrappedPrivateKey’ was not declared in this scope
WeaveCrypto.cpp:531: error: initializer expression list treated as compound expression
WeaveCrypto.cpp:533: error: expected ‘,’ or ‘;’ before ‘{’ token
In file included from WeaveCryptoModule.cpp:40:
WeaveCrypto.h:44:21: error: pk11pub.h: No such file or directory
In file included from WeaveCryptoModule.cpp:40:
WeaveCrypto.h:62: error: ‘SECOidTag’ does not name a type
WeaveCrypto.h:74: error: ‘CK_ATTRIBUTE_TYPE’ has not been declared
WeaveCrypto.h:79: error: ‘PK11SymKey’ has not been declared
WeaveCrypto.h:81: error: ‘SECKEYPrivateKey’ has not been declared
WeaveCrypto.h:86: error: ‘SECKEYPublicKey’ has not been declared
make[2]: *** [WeaveCrypto.so] Error 1
make[2]: Leaving directory `/var/tmp/portage/www-plugins/weave-1.0.1/work/weave-1.0.1/crypto/src'
make[1]: *** [crypto] Error 2
make[1]: Leaving directory `/var/tmp/portage/www-plugins/weave-1.0.1/work/weave-1.0.1/crypto'



Comment 9 lordcris 2010-02-22 12:10:15 UTC
and here is my system

Portage 2.1.7.16 (default/linux/powerpc/ppc32/10.0, gcc-4.3.4, glibc-2.10.1-r1, 2.6.32-gentoo-r1 ppc)
=================================================================
System uname: Linux-2.6.32-gentoo-r1-ppc-7447A,_altivec_supported-with-gentoo-2.0.0
Timestamp of tree: Fri, 19 Feb 2010 10:45:01 +0000
distcc 3.1 powerpc-unknown-linux-gnu [enabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p35
dev-java/java-config: 2.1.9-r1
dev-lang/python:     2.6.4
dev-python/pycrypto: 2.1.0_beta1
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.6.0-r1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.6.3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="ppc"
ACCEPT_LICENSE="* -@EULA"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-mcpu=G4 -O2 -pipe -mabi=altivec"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-mcpu=G4 -O2 -pipe -mabi=altivec"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FEATURES="assume-digests ccache distcc distlocks fixpackages metadata-transfer news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.ynet.sk/pub http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://ftp.fi.muni.cz/pub/linux/gentoo/ http://de-mirror.org/distro/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X acl alsa altivec bash-completion berkdb bzip2 cli cracklib crypt cups custom-optimization cxx dbus dri fortran gdbm gnome gpm gtk hal iconv laptop libnotify modules mudflap ncurses nls nptl nptlonly opengl openmp pam pcre perl ppc pppd pulseaudio python readline reflection session spl ssl sysfs tcpd truetype-fonts unicode wifi xorg zlib" ALSA_CARDS="powermac" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon ati" 
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 10 lordcris 2010-02-22 14:25:34 UTC
i fixed my problem by doing

ln -s /usr/lib/pkgconfig/nss.pc /usr/lib/pkgconfig/xulrunner-nss.pc

is there any way to apply this change to the ebuild ( or to make it look for nss.pc instead of xulrunner-nss.pc)?
otherwise the ebuild works great!
thank you!
Comment 11 Ferdinand Kuhl 2010-02-22 20:04:24 UTC
That's exactly the problem with the "old" xulrunner. The names of package-config seems to have changed... 
Great you found out how to fix yourself. As I tend to use the newest firefox available i modified the patch to work with it.

Good to know how to make it work with the older firefox. I will try to integrate that into the ebuild. As I'm quite unexperienced in writing ebuilds i will have to try ;)

But I'm glad to have been able to help you anyway!
Comment 12 Ferdinand Kuhl 2010-02-22 23:52:18 UTC
@Marcello: To explain my decision: I'm confidently that weave is able to compile with Firefox 3.5.x (as before).
But the new xulrunner has changed some pathes and pkg-config names. My first shot (this ebuild) works for the new firefox. As lordcris has stated there it does not seem to be too much work to make it work with the older firefox. I will give it a try. I would be happy, if you could review my work!
Comment 13 lordcris 2010-02-23 02:50:26 UTC
@Ferdinand

do you have the file /usr/lib/pkgconfig/xulrunner-nss.pc
on your system?
if yes, to witch package does it belong?

i was trying to build weave with the last version of xulrunner (1.9.2-r2) and firefox (3.6-r2) available in portage.
Comment 14 Marcello Magaldi 2010-02-23 05:04:01 UTC
(In reply to comment #12)
> @Marcello: To explain my decision: I'm confidently that weave is able to
> compile with Firefox 3.5.x (as before).
> But the new xulrunner has changed some pathes and pkg-config names. My first
> shot (this ebuild) works for the new firefox. As lordcris has stated there it
> does not seem to be too much work to make it work with the older firefox. I
> will give it a try. I would be happy, if you could review my work!
> 

Ok, for me no problem, if you make your ebuild work with 3.5 I'll give a try and let you know. Thank you for this.
Comment 15 Ferdinand Kuhl 2010-03-09 09:33:58 UTC
Created attachment 222791 [details]
New Weave-Build

I hope this weave ebuild will work for xulrunner 1.9.2 and before. You have to copy the weave-0.5.1-pkgconfig.patch from the portage tree to your overlay.

For those of you that use firefox 3.5: Please report if this ebuild works for you!
Comment 16 Ferdinand Kuhl 2010-03-09 09:48:54 UTC
@lordcris:
Yes, i do have this file.
Qfile says:
qfile xulrunner-nss.pc 
net-libs/xulrunner (/usr/lib64/pkgconfig/xulrunner-nss.pc)

Do you miss this file?
Comment 17 Ferdinand Kuhl 2010-03-09 10:03:40 UTC
Created attachment 222795 [details]
modified PKG-Config-Patch

@lordcris:
You were right: these files seem to be part of the old xulrunner (1.8).

Attached you find a new patch, which hopefully resolves this issue!
Comment 18 Ferdinand Kuhl 2010-03-09 10:41:16 UTC
Created attachment 222801 [details]
Weave-1.1-ebuiild

Sorry. I forgot to update the depends (still depended on firefox-3.6 and xulrunner-1.9.2
Comment 19 lordcris 2010-03-09 17:52:12 UTC
thank you Ferdinand.
Now it compiles without problem!
Unfortunately firefox segfaults from time to time when syncing, but that is an accomplishment of the developing team :)
Comment 20 Ferdinand Kuhl 2010-03-09 18:47:52 UTC
On which architecture are you working?
There seems to be no problem on amd64. At least at mine ;)

My firefox is rock solid even with weave doing regular syncs (at least i had no segfault for weeks...)
Comment 21 lordcris 2010-03-09 18:50:03 UTC
yes on my amd64 weave is fine,
but a also own a ppc laptop (apple powerbook).
there is segfaults quite often
Comment 22 Ferdinand Kuhl 2010-03-09 18:53:31 UTC
Have you tried to toggle the new "system-sqlite" useflag?
It's just an idea, but weave uses this database quite heavy... so if there are any problems, they are likely to come up with weave!
Comment 23 lordcris 2010-03-10 22:10:41 UTC
thanks for the tip Ferdinand,
but unfortunately enabling the new USE flag didn't change a thing.
Comment 24 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2010-03-11 10:26:50 UTC
Thank you for your work Fedinand.
I will try to update this ebuild this week-end. Please, do not hesitate to email me if you do not have any news from me.
Comment 25 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2010-03-14 17:50:20 UTC
weave-1.1 is now in the tree with your patch, Ferdinand. Thanks again !

Lordcris, if your can reproduce your issues on ppc, please do not hesitate to report them in a separate bug.